button,
.btn {
    font-family: @btn-font-family;
}

.btn-primary {
    &:hover,
    &:focus {
        background-color: lighten(@brand-primary, 15%);
        border-color: lighten(@brand-primary, 15%);
    }
}

.btn-lg-horizontal {
    padding-left: @grid-gutter-width*1.5;
    padding-right: @grid-gutter-width*1.5;
}

.btn-lg-vertical {
    padding-top: @grid-gutter-width/2;
    padding-bottom: @grid-gutter-width/2;
}

.btn-white {
    border: 1px solid @border-color;
    background: #fff;
    white-space: normal;

    &:hover,
    &:focus {
        background-color: @brand-primary;
        color: #fff;
        border-color: rgb(30, 30, 30);
    }
}

.learn-more-text-btn {
    text-underline-offset: 3px;
    text-decoration: underline;
    text-transform: uppercase;
    display: inline-block;
    font-weight: bold;
    font-size: 16px;
    font-family: @btn-font-family;
    position: relative;
    img{
        width: 16px;
        height:16px;
        margin-left:16px;
    }
}

.btn-as-link {
    font-family: @font-family-base;
    font-size: @font-size-base;
    border: none;
    padding: 0;
    display: inline;
    text-decoration: underline;
    color: @link-color;
}
